Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/admin/categoryedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $error = false
| $permissionError = false
if(isset( $Action) && $Action=="new") if((isset( $Action) && $Action=="insert")||(isset( $Action) && $Action=="update")) if((isset( $AddImages)) and(is_numeric( $CategoryID)) and(is_numeric( $ImageID))) if( $Action=="insert" &&! $error) if(isset( $Action) && $Action=="update" &&! $error) if( $Action=="delete") | $t
| $category = new eZArticleCategory()
| $categoryArray = $category->getAll( )
| $writeGroupsID = array()
| $readGroupsID = array()
| $tree = $category->getTree()
foreach( $tree as $item) | $group = new eZUserGroup()
| $groupList = $group->getAll()
foreach( $groupList as $groupItem) | $sectionList =& eZSection::getAll()
| $categories = eZBulkMailCategory::getAll()

## Variable Documentation

## ◆ $categories

$categories = eZBulkMailCategory::getAll()

Definition at line 636 of file ezarticle/admin/categoryedit.php.

Referenced by createPage(), eZLinkCategory\delete(), eZFreeTradeImport\importCategories(), eZFreeTradeImport\importItems(), eZBulkMail\send(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ $category

if ($Action=="edit") $category = new eZArticleCategory()

Definition at line 427 of file ezarticle/admin/categoryedit.php.

## ◆ $categoryArray

$categoryArray = $category->getAll( )

Definition at line 429 of file ezarticle/admin/categoryedit.php.

## ◆ $error

$error = false

Definition at line 51 of file ezarticle/admin/categoryedit.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_error(), eZDFSFileHandlerMySQLiBackend\_selectOne(), eZDFSFileHandlerMySQLiBackend\_selectOneAssoc(), eZDFSFileHandlerMySQLiBackend\_selectOneRow(), ezpRestOauthTokenController\checkParams(), eZSQLite3DB\connect(), eZMenuBox\createBox(), eZPBLog\error(), errorMsg(), errorPage(), eZXMLRPCResponse\faultCode(), eZXMLRPCResponse\faultString(), ezpOauthTokenEndpointErrorType\httpCodeForError(), ezpOauthErrorType\httpCodeforError(), eZWebDAVContentBackend\performCopy(), save_mail(), eZXMLRPCResponse\setError(), and eZPBLog\writeError().

## ◆ $group

foreach ($tree as $item) $group = new eZUserGroup()

Definition at line 570 of file ezarticle/admin/categoryedit.php.

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 571 of file ezarticle/admin/categoryedit.php.

## ◆ $ini

if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 45 of file ezarticle/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 47 of file ezarticle/admin/categoryedit.php.

## ◆ $permissionError

$permissionError = false

Definition at line 52 of file ezarticle/admin/categoryedit.php.

## ◆ $readGroupsID

$readGroupsID = array()

Definition at line 446 of file ezarticle/admin/categoryedit.php.

## ◆ $sectionList

foreach ($groupList as $groupItem) $sectionList =& eZSection::getAll()

Definition at line 615 of file ezarticle/admin/categoryedit.php.

## ◆ $t

if (isset($Action) &&$Action=="new") if ((isset($Action) &&$Action=="insert")||(isset($Action) &&$Action=="update")) if ((isset($AddImages)) and(is_numeric($CategoryID)) and(is_numeric($ImageID))) if ($Action=="insert" &&! $error) if (isset($Action) &&$Action=="update" &&! $error) if ($Action=="delete") $t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) $ini
Definition: ezarticle/admin/categoryedit.php:45
$Language
$Language
Definition: ezarticle/admin/categoryedit.php:47

Definition at line 409 of file ezarticle/admin/categoryedit.php.

## ◆ $tree

$tree = $category->getTree()

Definition at line 541 of file ezarticle/admin/categoryedit.php.

## ◆ $writeGroupsID

$writeGroupsID = array()

Definition at line 445 of file ezarticle/admin/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.